Get people statistics
Get aggregate statistics for people in the workspace.
curl -X GET "https://api.flameup.ai/api/v1/workspaces/example_string/people/stats" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.flameup.ai/api/v1/workspaces/example_string/people/stats"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.flameup.ai/api/v1/workspaces/example_string/people/stats", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.flameup.ai/api/v1/workspaces/example_string/people/stats", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.flameup.ai/api/v1/workspaces/example_string/people/stats')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"total": 42,
"active": 42,
"unsubscribed": 42,
"bounced": 42,
"recent": 42
}
GET
/workspaces/{workspaceId}/people/statsGET
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredA Firebase ID token from a signed-in dashboard session. Endpoints using this scheme are NOT callable with an API key and will reject one.
A Firebase ID token from a signed-in dashboard session. Endpoints using this scheme are NOT callable with an API key and will reject one.
path
workspaceIdstring
RequiredWorkspace ID
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. A Firebase ID token from a signed-in dashboard session. Endpoints using this scheme are NOT callable with an API key and will reject one.
Path Parameters
workspaceIdstring
RequiredWorkspace ID
Responses
totalinteger
activeinteger
unsubscribedinteger
bouncedinteger
recentinteger
Was this page helpful?